/*
 * Copyright (c) 2015, Freescale Semiconductor, Inc.
 * Copyright 2016-2018 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

#define SOPT5_UART0TXSRC_UART_TX 0x00u /*!<@brief UART 0 transmit data source select: UART0_TX pin */

/*! @name PORTE0 (number 1), J6[18]/J17[3]/D4/LED2/UART1_TX
  @{ */
#define BOARD_LED_RED_GPIO GPIOE /*!<@brief GPIO device name: GPIOE */
#define BOARD_LED_RED_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_LED_RED_PIN 0U     /*!<@brief PORTE pin index: 0 */
                                 /* @} */

/*! @name PORTE1 (number 2), J6[17]/J17[1]/J16[B10]/D3/LED1/UART1_RX/SPI1_SOUT
  @{ */
#define BOARD_LED_YELLOW_GPIO GPIOE /*!<@brief GPIO device name: GPIOE */
#define BOARD_LED_YELLOW_PORT PORTE /*!<@brief PORT device name: PORTE */
#define BOARD_LED_YELLOW_PIN 1U     /*!<@brief PORTE pin index: 1 */
                                    /* @} */

/*! @name PORTD7 (number 100), J6[20]/J17[7]/D7/LED4
  @{ */
#define BOARD_LED_GREEN_GPIO GPIOD /*!<@brief GPIO device name: GPIOD */
#define BOARD_LED_GREEN_PORT PORTD /*!<@brief PORT device name: PORTD */
#define BOARD_LED_GREEN_PIN 7U     /*!<@brief PORTD pin index: 7 */
                                   /* @} */

/*! @name PORTB16 (number 62), J500[7]/J22[2]/UART0_RX_TGTMCU
  @{ */
#define BOARD_DEBUG_UART_RX_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_DEBUG_UART_RX_PIN 16U    /*!<@brief PORTB pin index: 16 */
                                       /* @} */

/*! @name PORTB17 (number 63), J500[5]/J23[2]/UART0_TX_TGTMCU
  @{ */
#define BOARD_DEBUG_UART_TX_PORT PORTB /*!<@brief PORT device name: PORTB */
#define BOARD_DEBUG_UART_TX_PIN 17U    /*!<@brief PORTB pin index: 17 */
                                       /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

#define SOPT7_ADC0ALTTRGEN_ALT 0x01u /*!<@brief ADC0 alternate trigger enable: Alternate trigger selected for ADC0. */
#define SOPT7_ADC0PRETRGSEL_A 0x00u  /*!<@brief ADC0 pretrigger select: Pre-trigger A */
#define SOPT7_ADC0TRGSEL_LPTMR 0x0Eu /*!<@brief ADC0 trigger select: Low-power timer (LPTMR) trigger */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_ConfigTriggerSource(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
